CVE-2001-0940
CVSS7.5
发布时间 :2001-09-21 00:00:00
修订时间 :2016-10-17 22:13:40
NMCO    

[原文]Buffer overflow in the GUI authentication code of Check Point VPN-1/FireWall-1 Management Server 4.0 and 4.1 allows remote attackers to execute arbitrary code via a long user name.


[CNNVD]Check Point Firewall-1 GUI日志查看器漏洞(CNNVD-200109-120)

        Check Point VPN-1/FireWall-1 Management Server 4.0 和4.1版本GUI验证代码存在缓冲区溢出漏洞。远程攻击者借助超长用户名执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:checkpoint:firewall-1:4.0Checkpoint Firewall-1 4.0
cpe:/a:checkpoint:firewall-1:4.1Checkpoint Firewall-1 4.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0940
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0940
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200109-120
(官方数据源) CNNVD

- 其它链接及资源

http://archives.neohapsis.com/archives/win2ksecadvice/2001-q3/0151.html
(VENDOR_ADVISORY)  WIN2KSEC  20010921 Check Point FireWall-1 GUI Buffer Overflow
http://cert.uni-stuttgart.de/archive/bugtraq/2001/11/msg00291.html
(UNKNOWN)  BUGTRAQ  20011130 Fw: Firewall-1 remote SYSTEM shell buffer overflow
http://marc.info/?l=bugtraq&m=100094268017271&w=2
(UNKNOWN)  BUGTRAQ  20010919 Check Point FireWall-1 GUI Log Viewer vulnerability (vuldb 3336)
http://marc.info/?l=bugtraq&m=100698954308436&w=2
(UNKNOWN)  BUGTRAQ  20011128 Firewall-1 remote SYSTEM shell buffer overflow
http://www.checkpoint.com/techsupport/alerts/buffer_overflow.html
(UNKNOWN)  CHECKPOINT  20010919 GUI Buffer Overflow
http://www.securityfocus.com/bid/3336
(UNKNOWN)  BID  3336
http://xforce.iss.net/static/7145.php
(UNKNOWN)  XF  fw1-log-viewer-bo(7145)

- 漏洞信息

Check Point Firewall-1 GUI日志查看器漏洞
高危 缓冲区溢出
2001-09-21 00:00:00 2005-05-02 00:00:00
远程  
        Check Point VPN-1/FireWall-1 Management Server 4.0 和4.1版本GUI验证代码存在缓冲区溢出漏洞。远程攻击者借助超长用户名执行任意代码。

- 公告与补丁

        Check Point has made hotfixes available:
        Check Point Software Next Generation
        
        Check Point Software Firewall-1 4.0 SP8
        
        Check Point Software Firewall-1 4.1 SP4
        
        Check Point Software Firewall-1 4.1 SP5
        

- 漏洞信息

1951
Check Point FireWall-1 GUI Log Viewer Overflow
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Check Point FireWall-1 contains a flaw that may allow a malicious administrator to execute arbitrary code on the vulnerable system. The issue is due to a buffer overflow in the GUI log view utility which can be accessed by administrators. If an attacker with permissions to view logs via the GUI interface sends specially crafted data, they may be able to execute arbitrary commands with root privileges.

- 时间线

2001-08-19 2001-08-03
2001-11-28 Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Check Point has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站